Skip to main content

Sale Using a Customer ID


This topic describes how to send a sale request to process a payment using a customer ID to verify the customer.

A sale request authorizes and captures a payment in the same request. During checkout, the customer enters their email address or phone number as an ID. The customer ID is used to verify the payment and is passed through the sale request in the bank.accountAlias.id field.

When you receive a successful response, save the sale request ID in the id response field to perform a follow-on check status request or refund request.

Calculating the Grand Total

Include the grand total in the request by using the orderInformation.amountDetails.totalAmount field.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

See Endpoints for the full Server URLs reference.

Example

{    "clientReferenceInformation": {        "code": "TC84100-1"    },    "processingInformation": {        "actionList": [            "AP_SALE"        ]    },    "orderInformation": {        "invoiceDetails": {            "productDescription": "test description"        },        "amountDetails": {            "totalAmount": "1999.99",            "currency": "AUD"        }    },    "deviceInformation": {        "ipAddress": "192.168.1.1"    },    "paymentInformation": {        "paymentType": {            "name": "bankTransfer",            "method": {                "name": "payToPayByBank"            }        },        "bank": {            "accountAlias": {                "id": "+61-88888888",                "type": "phone"            }        }    }}
{    "processorInformation": {        "responseCode": "00001",        "completeUrl": "https://checkout.complete.com",        "transactionId": "a1d0dbad-211b-4654-ad38-6ec538d2dd66"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "1999.99",            "currency": "AUD"        }    },    "clientReferenceInformation": {        "code": "TC84100-1"    },    "reconciliationId": "KP1KVJ6ORZF1",    "message": "Request was processed successfully.",    "status": "PENDING",    "id": "7678071919046654104807",    "submitTimeUtc": "2026-01-07T17:33:12Z"}
FieldTypeDescription
clientReferenceInformation.code
deviceInformation.ipAddress
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.invoiceDetails.productDescription
paymentInformation.bank.accountAlias.id
paymentInformation.bank.accountAlias.typeSet to email, phone, accountNumber, businessNumber, or organizationId.
paymentInformation.paymentType.method.nameSet to payToPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to AP_SALE.

If needed, include any of these optional line item fields in the request:

Optional Fields
FieldTypeDescription
merchantInformation.merchantDescriptor.administrativeArea
merchantInformation.merchantDescriptor.country
orderInformation.amountDetails.discountAmount
orderInformation.amountDetails.dutyAmount
orderInformation.amountDetails.exchangeRate
orderInformation.amountDetails.taxAmount
orderInformation.billTo.company.name
orderInformation.billTo.county
orderInformation.billTo.middleName
orderInformation.billTo.title
orderInformation.lineItems.discountAmount
orderInformation.lineItems.discountRate
orderInformation.lineItems.productCode
orderInformation.lineItems.productDescription
orderInformation.lineItems.productName
orderInformation.lineItems.productSku
orderInformation.lineItems.quantity
orderInformation.lineItems.taxAmount
orderInformation.lineItems.taxRate
orderInformation.lineItems.totalAmount
orderInformation.lineItems.unitPrice
orderInformation.shippingDetails.shippingMethod
orderInformation.shipTo.address1
orderInformation.shipTo.address2
orderInformation.shipTo.administrativeArea
orderInformation.shipTo.company
orderInformation.shipTo.country
orderInformation.shipTo.county
orderInformation.shipTo.district
orderInformation.shipTo.email
orderInformation.shipTo.firstName
orderInformation.shipTo.lastName
orderInformation.shipTo.locality
orderInformation.shipTo.phoneNumber
orderInformation.shipTo.postalCode

Response Fields

Save the request ID in the id field from the sale response. Include the request ID in a check status request to confirm that the payment is complete.

"id": "7683218349806911204805"

When the sale amount is processed, sends a SETTLED webhook notification. See Webhook Subscriptions. If you do not receive a webhook notification, send a check status request. See Check Status.

Last published: September 29, 2026